> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sturdytechnologies.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Push to Card

> Transfer Funds to a Card



## OpenAPI

````yaml POST /payments/card
openapi: 3.1.0
info:
  title: Sturdy Technologies API
  description: API documentation for Sturdy Technologies Service
  contact: {}
  version: '1.0'
servers:
  - url: https://sandbox.sturdytechnologies.com/v3
    description: Sandbox server
security: []
paths:
  /payments/card:
    post:
      tags:
        - Payments
      summary: Push to Card
      description: Transfer Funds to a Card
      operationId: pushToCard
      requestBody:
        description: Push to Card payload
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Push2CardReq'
      responses:
        '200':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Push2CardResp'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResp'
      security:
        - BearerAuth: []
components:
  schemas:
    Push2CardReq:
      type: object
      required:
        - account_id
        - address
        - amount
        - card_number
        - cvv
        - description
        - expiration_date
      properties:
        account_id:
          type: string
          description: >-
            Unique Identifier of the US account from which funds will be
            transferred from (Pass merchant's US account ID if hold_balance is
            false for Create US Bank Account).
        address:
          type: object
          description: Billing address associated with the card.
          required:
            - city
            - country
            - line_1
            - state
          properties:
            city:
              type: string
            country:
              type: string
            line_1:
              type: string
            state:
              type: string
            zip:
              type: string
        amount:
          type: number
        card_number:
          type: string
        cvv:
          type: string
        description:
          type: string
        expiration_date:
          type: string
          description: Expiration date of the card in MM/YY format.
    Push2CardResp:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/Push2CardData'
        message:
          type: string
        success:
          type: boolean
    ErrorResp:
      type: object
      properties:
        message:
          type: string
          example: Invalid request
        success:
          type: boolean
          example: false
    Push2CardData:
      type: object
      properties:
        amount:
          type: number
        card_number:
          type: string
        description:
          type: string
        transaction_date:
          type: string
          example: '2023-10-01T12:34:56Z'
        transaction_id:
          type: string
          example: txn_12345
        transaction_status:
          type: string
          enum:
            - processing
            - successful
            - failed
          description: Status of the transaction

````